Summary: A video codec that builds upon On2's VP3 codec
Name: libtheora
Epoch: 1
Version: 1.1.1
Release: 13%{?dist}
License: BSD
Group: System Environment/Libraries
URL: http://www.theora.org/
Source0: http://downloads.xiph.org/releases/theora/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: automake16, libtool
BuildRequires: gcc-c++
BuildRequires: libogg-devel >= 2:1.1, libvorbis-devel >= 1:1.0.1
BuildRequires: SDL-devel >= 1.0.1, alsa-lib-devel
BuildRequires: doxygen, %{_bindir}/pdflatex, %{_bindir}/bibtex, transfig

%description
Theora is Xiph.Org's first publicly released video codec, intended
for use within the Ogg's project's Ogg multimedia streaming system.
Theora is derived directly from On2's VP3 codec; Currently the two are
nearly identical, varying only in encapsulating decoder tables in the 
bitstream headers, but Theora will make use of this extra freedom 
in the future to improve over what is possible with VP3.

%lib_package theora 0
%lib_package theoradec 1
%lib_package theoraenc 1

%prep
%setup -q
perl -pi -e's,noinst_PROGRAMS,bin_PROGRAMS,' examples/Makefile.am

%build
aclocal-1.6 -I m4
automake-1.6
%configure --enable-shared --disable-static
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} MKDIR_P="mkdir -p"
#mkdir %{buildroot}%{_includedir}/theora
#mv %{buildroot}%{_includedir}/*.h %{buildroot}%{_includedir}/theora/
#mv %{buildroot}%{_defaultdocdir}/%{name}-%{version}alpha7 %{buildroot}%{_defaultdocdir}/%{name}-%{version}
install -p -m 0644 COPYING README %{buildroot}%{_defaultdocdir}/%{name}-%{version}
find %{buildroot}%{_defaultdocdir}/%{name}-%{version} -type f | xargs chmod -x

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_defaultdocdir}/%{name}-%{version}
%{_bindir}/*

%changelog
* Sun Oct 25 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.1.1-13
- Update to 1.1.1.

* Sun Mar  1 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0-9
- Update to 1.0 final.

* Mon Jul 10 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0alpha7.

* Mon Oct  3 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0alpha5.

* Wed Apr 14 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.


